CsvConfigurationReconciliationService (Occurrence Data Management 2.0.0-3.1.1 API)
Date: 2014-06-04

org.gcube.portlets.user.occurrencemanagement.server.csv

## Class CsvConfigurationReconciliationService

- java.lang.Object
- - org.gcube.portlets.user.occurrencemanagement.server.csv.CsvConfigurationReconciliationService

-     public class CsvConfigurationReconciliationService
      extends Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `CsvConfigurationReconciliationService()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static org.gcube.data.harmonization.occurrence.impl.readers.CSVParserConfiguration` | `convertParserCofiguration(org.gcube.portlets.user.csvimportwizard.server.csv.CSVParserConfiguration parserConfiguration, boolean[] columnToImportMask)`
    `static org.gcube.portlets.user.csvimportwizard.client.progress.OperationState` | `convertState(org.gcube.data.harmonization.occurrence.impl.readers.StreamProgress.OperationState state)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### CsvConfigurationReconciliationService

          public CsvConfigurationReconciliationService()

  - ### Method Detail

    - #### convertParserCofiguration

          public static org.gcube.data.harmonization.occurrence.impl.readers.CSVParserConfiguration convertParserCofiguration(org.gcube.portlets.user.csvimportwizard.server.csv.CSVParserConfiguration parserConfiguration,
                                                                                                              boolean[] columnToImportMask)

    - #### convertState

          public static org.gcube.portlets.user.csvimportwizard.client.progress.OperationState convertState(org.gcube.data.harmonization.occurrence.impl.readers.StreamProgress.OperationState state)

Copyright © 2014. All Rights Reserved.